﻿namespace Blahblah.FlowerStory.Server.Controller;

/// <summary>
/// 字典、定义
/// </summary>
public record DefinitionResult
{
    /// <summary>
    /// API 版本号
    /// </summary>
    public required string ApiVersion { get; init; }

    /// <summary>
    /// 花草分类
    /// </summary>
    public required Dictionary<int, NamedItem> Categories { get; init; }

    /// <summary>
    /// 事件
    /// </summary>
    public required Dictionary<int, Event> Events { get; init; }
}